import { serverClient } from "@/lib/trpc/server"

import SectionContainer from "@/components/Section/Container"
import SectionHeader from "@/components/Section/Header"

import ClientPreviousStays from "./Client"

import type { AccountPageComponentProps } from "@/types/components/myPages/myPage/accountPage"

export default async function PreviousStays({
  lang,
  title,
  subtitle,
  link,
}: AccountPageComponentProps) {
  const initialPreviousStays = await serverClient().user.stays.previous()
  if (!initialPreviousStays?.data) {
    return null
  }
  return (
    <SectionContainer>
      <SectionHeader title={title} subtitle={subtitle} link={link} />
      <ClientPreviousStays
        initialPreviousStays={initialPreviousStays}
        lang={lang}
      />
    </SectionContainer>
  )
}
